org.apache.lucene.search

## Class SortedSetSortField.Provider

- java.lang.Object
- - org.apache.lucene.index.SortFieldProvider
  - - org.apache.lucene.search.SortedSetSortField.Provider

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Enclosing class:
  SortedSetSortField

    public static final class SortedSetSortField.Provider
    extends SortFieldProvider

A SortFieldProvider for this sort

### Field Summary

Fields
`static String` `NAME` The name this provider is registered under

### Fields inherited from class org.apache.lucene.index.SortFieldProvider

`name`

### Constructor Summary

Constructors
Constructor and Description
`Provider()` Creates a new Provider

### Method Summary

All Methods Instance Methods Concrete Methods
`SortField` `readSortField(DataInput in)` Reads a SortField from serialized bytes
`void` `writeSortField(SortField sf, DataOutput out)` Writes a SortField to a DataOutput This is used to record index sort information in segment headers

### Methods inherited from class org.apache.lucene.index.SortFieldProvider

`availableSortFieldProviders, forName, getName, reloadSortFieldProviders, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

The name this provider is registered under

See Also:
  Constant Field Values

### Constructor Detail

#### Provider

    public Provider()

Creates a new Provider

### Method Detail

#### readSortField

    public SortField readSortField(DataInput in)
                            throws IOException

Description copied from class: `SortFieldProvider`
Reads a SortField from serialized bytes

Specified by:
  `readSortField` in class `SortFieldProvider`
Throws:
  `IOException`

#### writeSortField

    public void writeSortField(SortField sf,
                               DataOutput out)
                        throws IOException

Description copied from class: `SortFieldProvider`
Writes a SortField to a DataOutput This is used to record index sort information in segment headers

Specified by:
  `writeSortField` in class `SortFieldProvider`
Throws:
  `IOException`